de.caff.util.settings.swing

## Class BooleanEditor

- java.lang.Object
- - de.caff.util.settings.swing.AbstractBasicEditorProvider
  - - de.caff.util.settings.swing.BooleanEditor

- All Implemented Interfaces:
    EditorProvider, java.beans.PropertyChangeListener, java.util.EventListener

      class BooleanEditor
      extends AbstractBasicEditorProvider
      implements java.beans.PropertyChangeListener

  Editor provider for boolean properties.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanEditor(SwingBooleanProperty property, java.util.Locale l)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `getEditor()` Get an component for editing .
    `void` | `goodBye()` Called when the editor provider is no longer used.
    `void` | `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.
    `void` | `reset()` Reset the value in the editor to the basic value.
    `void` | `save()` Set the basic value from the editor.

    - ### Methods inherited from class de.caff.util.settings.swing.AbstractBasicEditorProvider

      `getDescription, getLabel, getLabelText, getLabelTextWithPunctuation, getTitleText, getToolTipText, isValidValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanEditor

          public BooleanEditor(@NotNull
                               SwingBooleanProperty property,
                               @Nullable
                               java.util.Locale l)

      Constructor.
      Parameters:
        `property` - property to edit
        `l` - locale to use

  - ### Method Detail

    - #### getEditor

          @NotNull
          public javax.swing.JComponent getEditor()

      Get an component for editing .
      Specified by:
        `getEditor` in interface `EditorProvider`
      Returns:
        editor component

    - #### reset

          public void reset()

      Reset the value in the editor to the basic value.
      Specified by:
        `reset` in interface `EditorProvider`

    - #### save

          public void save()

      Set the basic value from the editor.
      Specified by:
        `save` in interface `EditorProvider`

    - #### propertyChange

          public void propertyChange(java.beans.PropertyChangeEvent evt)

      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `java.beans.PropertyChangeListener`
      Parameters:
        `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

    - #### goodBye

          public void goodBye()

      Called when the editor provider is no longer used.
      Specified by:
        `goodBye` in interface `EditorProvider`